/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.orchestration.core;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;

import javax.xml.transform.Source;
import javax.xml.transform.TransformerException;
import javax.xml.transform.URIResolver;
import javax.xml.transform.stream.StreamSource;

public class SuURIResolver implements URIResolver {

	private String installRoot_;
	
	public SuURIResolver(String installRoot) {
        installRoot_ = installRoot;
    }

	@Override
	public Source resolve(String href, String base) throws TransformerException {
        Source resolvedSource = null;

        File resolvedFile = new File(installRoot_, href);
        if (resolvedFile.exists()) {
            try {
                resolvedSource = new StreamSource(new FileInputStream(resolvedFile));
            } catch (FileNotFoundException e) {
                // do nothing
            }
        }

        return resolvedSource;
    }
}
